API Documentation | All Packages | All Classes | Index | Frames No Frames |
BackgroundCanvas

Package | ch.unil.cbg.ExpressionView.view
Class | public class BackgroundCanvas
Inheritance | BackgroundCanvas mx.containers.Canvas

Public Properties

| Property | Defined By
--- | --- | ---
|  | cbglogop : Class | BackgroundCanvas
|  | expressionviewlogop : Class | BackgroundCanvas
|  | show : Boolean [write-only] | BackgroundCanvas
|  | siblogop : Class | BackgroundCanvas
|  | unillogop : Class | BackgroundCanvas

Public Methods

| Method | Defined By
--- | --- | ---
|  | BackgroundCanvas() | BackgroundCanvas

Protected Methods

| Method | Defined By
--- | --- | ---
|  | createChildren():void [override] | BackgroundCanvas
|  | updateDisplayList(unscaledWidth:Number, unscaledHeight:Number):void [override] | BackgroundCanvas

Property Detail

cbglogop | property

`public var cbglogop:Class`

expressionviewlogop | property |

`public var expressionviewlogop:Class`

show | property |

`show:Boolean` [write-only]

Implementation
`public function set show(value:Boolean):void`

siblogop | property |

`public var siblogop:Class`

unillogop | property |

`public var unillogop:Class`

Constructor Detail

BackgroundCanvas | () | Constructor

`public function BackgroundCanvas()`

Method Detail

createChildren | () | method

`override protected function createChildren():void`

updateDisplayList | () | method |

`override protected function updateDisplayList(unscaledWidth:Number, unscaledHeight:Number):void`

Parameters

| `unscaledWidth:Number`
| `unscaledHeight:Number`

Mon Oct 17 2011, 09:13 PM -04:00